%global apiversion	0.1
%define major	1
%define libname	%mklibname cdr %{apiversion} %{major}
%define libdev	%mklibname cdr -d

Name:		libcdr
Version:	0.1.3
Release:	%mkrel 3
Summary:	A library for import of CorelDRAW drawings
Group:		System/Libraries
# the only Public Domain source is src/lib/CDRColorProfiles.h
License:	MPLv2.0 and Public Domain
URL:		http://wiki.documentfoundation.org/DLP/Libraries/libcdr
Source:		http://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	help2man
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(zlib)

%description
Libcdr is library providing ability to interpret and import CorelDRAW
drawings into various applications. You can find it being used in
libreoffice.

%package -n %{libname}
Summary:	A library providing ability to interpret and import CorelDRAW drawings
Group:		System/Libraries
Obsoletes:	%{_lib}cdr0 < 0.0.14-4

%description -n %{libname}
Libcdr is library providing ability to interpret and import CorelDRAW
drawings into various applications. You can find it being used in
libreoffice.

%package -n %{libdev}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libdev}
This package contains libraries and header files for developing applications
that use %{name}.

%package doc
Summary:	Documentation of %{name} API
Group:		Documentation
BuildArch:	noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary:	Tools to transform CorelDRAW drawings into other formats
Group:		Graphics/Utilities

%description tools
Tools to transform CorelDRAW drawings into other formats.
Currently supported: XHTML, text, raw.

%prep
%setup -q

%build
%configure2_5x --disable-static --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make


%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# rhbz#1001251 we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in cdr2raw cmx2raw cdr2xhtml cmx2xhtml cdr2text cmx2text; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 0644 cdr2*.1 cmx2*.1 %{buildroot}/%{_mandir}/man1

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
make %{?_smp_mflags} check

%files -n %{libname}
%doc AUTHORS ChangeLog README
%license COPYING.MPL
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %{libdev}
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING.MPL
%doc docs/doxygen/html

%files tools
%{_bindir}/cdr2raw
%{_bindir}/cdr2text
%{_bindir}/cdr2xhtml
%{_bindir}/cmx2raw
%{_bindir}/cmx2text
%{_bindir}/cmx2xhtml
%{_mandir}/man1/cdr2raw.1*
%{_mandir}/man1/cdr2text.1*
%{_mandir}/man1/cdr2xhtml.1*
%{_mandir}/man1/cmx2raw.1*
%{_mandir}/man1/cmx2text.1*
%{_mandir}/man1/cmx2xhtml.1*


%changelog
* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.1.3-3.mga6
+ Revision: 1093090
- Rebuild for icu-58.2

* Mon Sep 19 2016 tv <tv> 0.1.3-2.mga6
+ Revision: 1054223
- run testsuite
- add man pages
- do install cmx2 tools
- fix license
- use %%license

* Thu Aug 11 2016 luigiwalser <luigiwalser> 0.1.3-1.mga6
+ Revision: 1045511
- 0.1.3

* Fri May 13 2016 barjac <barjac> 0.1.2-2.mga6
+ Revision: 1015023
- Rebuild for ICU

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.1.2-1.mga6
+ Revision: 917783
- BR cppunit
- 0.1.2
- fix source URL

* Fri Dec 25 2015 tv <tv> 0.1.1-6.mga6
+ Revision: 914720
- rebuild for new boost 1.60

* Mon Sep 28 2015 daviddavid <daviddavid> 0.1.1-5.mga6
+ Revision: 884377
- fix build with boost 1.59.0 (rhbz#1258127)
- rebuild for new boost 1.59.0

* Wed Aug 26 2015 tv <tv> 0.1.1-4.mga6
+ Revision: 869832
- rebuild with gcc5

* Fri Jul 24 2015 cjw <cjw> 0.1.1-3.mga6
+ Revision: 856784
- rebuild for icu 55

* Sun Feb 01 2015 tv <tv> 0.1.1-2.mga5
+ Revision: 812972
- submit to core/release

* Sat Jan 31 2015 tv <tv> 0.1.1-1.mga5
+ Revision: 812799
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 744665
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-2.mga5
+ Revision: 681373
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.1.0-1.mga5
+ Revision: 658618
- bump major
- bump major
- new release

* Sun Apr 27 2014 tv <tv> 0.0.16-1.mga5
+ Revision: 618471
- new release

* Sat Apr 05 2014 wally <wally> 0.0.14-5.mga5
+ Revision: 611899
- fix lib pkg obsoletes

* Sat Apr 05 2014 wally <wally> 0.0.14-4.mga5
+ Revision: 611869
- fix lib pkg name
- rebuild for new icu

* Mon Oct 21 2013 umeabot <umeabot> 0.0.14-3.mga4
+ Revision: 537407
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 tv <tv> 0.0.14-2.mga4
+ Revision: 486940
- rebuild for new icu

  + fwang <fwang>
    - use pkgconfig style br

* Tue Aug 20 2013 tv <tv> 0.0.14-1.mga4
+ Revision: 468212
- adjust file list
- BR boost-devel
- BR icu-devel
- drop merged patch
- new release

* Sat Jan 12 2013 umeabot <umeabot> 0.0.8-6.mga3
+ Revision: 356916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sat Jan 05 2013 cjw <cjw> 0.0.8-5.mga3
+ Revision: 339227
- patch1: fix build with automake 1.13

* Tue Oct 16 2012 malo <malo> 0.0.8-4.mga3
+ Revision: 307331
- update RPM group

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.8-3.mga3
+ Revision: 267749
- Fix libs packagename

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.8-2.mga3
+ Revision: 267742
- Fix provides in the devel package

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.8-1.mga3
+ Revision: 267737
- Fix configure
- imported package libcdr


* Mon Jun 11 2012 David Tardon <dtardon@redhat.com> 0.0.8-1
- new upstream release
- adds basic initial primitive uncomplete text support

* Thu Apr 26 2012 David Tardon <dtardon@redhat.com> 0.0.7-1
- new upstream release

* Tue Apr 03 2012 David Tardon <dtardon@redhat.com> 0.0.6-1
- new upstream release

* Mon Mar 19 2012 David Tardon <dtardon@redhat.com> 0.0.5-1
- new upstream release
- fix license

* Sat Mar 10 2012 David Tardon <dtardon@redhat.com> 0.0.3-2
- remove Requires: of main package from -doc subpackage

* Thu Mar 01 2012 David Tardon <dtardon@redhat.com> 0.0.3-1
- initial import
